<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoadConditions StructType
 * @subpackage Structs
 */
abstract class RoadConditions extends Conditions
{
    /**
     * The roadConditionsExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $roadConditionsExtension;
    /**
     * Constructor method for RoadConditions
     * @uses RoadConditions::setRoadConditionsExtension()
     * @param \StructType\ExtensionType $roadConditionsExtension
     */
    public function __construct(\StructType\ExtensionType $roadConditionsExtension = null)
    {
        $this
            ->setRoadConditionsExtension($roadConditionsExtension);
    }
    /**
     * Get roadConditionsExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getRoadConditionsExtension()
    {
        return $this->roadConditionsExtension;
    }
    /**
     * Set roadConditionsExtension value
     * @param \StructType\ExtensionType $roadConditionsExtension
     * @return \StructType\RoadConditions
     */
    public function setRoadConditionsExtension(\StructType\ExtensionType $roadConditionsExtension = null)
    {
        $this->roadConditionsExtension = $roadConditionsExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RoadConditions
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
